
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

A recent patch that cleaned up some absolute/virt translation macros forgot
one occurence, thus breaking g5 build with iommu support.


---

 25-akpm/arch/ppc64/kernel/prom.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/prom.c~ppc64-Fix-G5-build-with-DART-iommu-support arch/ppc64/kernel/prom.c
--- 25/arch/ppc64/kernel/prom.c~ppc64-Fix-G5-build-with-DART-iommu-support	2004-04-07 20:06:12.477889360 -0700
+++ 25-akpm/arch/ppc64/kernel/prom.c	2004-04-07 20:06:12.483888448 -0700
@@ -798,7 +798,7 @@ void prom_initialize_dart_table(void)
 	 * will blow up an entire large page anyway in the kernel mapping
 	 */
 	RELOC(dart_tablebase) =
-		absolute_to_virt(lmb_alloc_base(1UL<<24, 1UL<<24, 0x80000000L));
+		abs_to_virt(lmb_alloc_base(1UL<<24, 1UL<<24, 0x80000000L));
 
 	prom_print(RELOC("Dart at: "));
 	prom_print_hex(RELOC(dart_tablebase));

_
